Package com.independentsoft.office.charts

# Enum Class TickLabelPosition

java.lang.Object
java.lang.Enum<TickLabelPosition>
com.independentsoft.office.charts.TickLabelPosition

All Implemented Interfaces:
  `Serializable`, `Comparable<TickLabelPosition>`, `Constable`

public enum TickLabelPosition extends Enum<TickLabelPosition>
The Enum TickLabelPosition.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HIGH`
  `LOW`
  `NEXT_TO`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TickLabelPosition`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TickLabelPosition[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HIGH

    public static final TickLabelPosition HIGH

  - ### LOW

    public static final TickLabelPosition LOW

  - ### NEXT_TO

    public static final TickLabelPosition NEXT_TO

  - ### NONE

    public static final TickLabelPosition NONE

- ## Method Details

  - ### values

    public static TickLabelPosition[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TickLabelPosition valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null